{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Magazines</title>
        <link rel="stylesheet" href="{% static 'css/app.css' %}">

    </head>
    <body>
        <header>
          <nav>
            <ul>
              <li>
                <a href="{% url 'magazines_list' %}">Magazines</a>
              </li>
              <li>
                <a href="{% url 'books_list' %}">Books</a>
              </li>
              <li>
                <a href="{% url 'admin:index' %}">Admin</a>
              </li>
              <li>
                <a href="{% url 'create_magazine' %}">Add a magazine</a>
              </li>
            </ul>
          </nav>
        </header>
        <main>
            {% for magazine in magazines %}
            <div class="section">
                <a href={% url 'detail_magazine' magazine.pk %}>
                    <img src={{magazine.cover}} alt="cover" width=200px height=auto>
                    <h2>{{magazine.title}}</h2>
                </a>
                <a href={% url 'edit_magazine' magazine.pk %}><button type="button">Edit this Magazine</button></a>
            </div>
            <hr>

            {% endfor %}

        </main>
    </body>
</html>